Bug 854036 - Pnmpaste inserts multiple copies of the file to be inserted.
Pnmpaste inserts multiple copies of the file to be inserted.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
16
Unspecified Other
unspecified Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 12:27 EDT by George Sicherman
Modified: 2013-07-02 19:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:05:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Sicherman 2012-09-03 12:27:17 EDT
Description of problem:
  I tried to use pnmpaste to draw a black vertical line on a white rectangle.
Pnmpaste drew multiple lines.

Version-Release number of selected component (if applicable):
  10.47.31-1.fc16

How reproducible:
  Use pbmmake to write a wide white rectangle to a file.  Use it to write a
vertical black line to another file.  Use pnmpaste to insert the line in the
rectangle.

Steps to Reproduce:
1. pbmmake -white 40 10 >/tmp/a.pbm
2. pbmmake -black 1 10 >/tmp/b.pbm
3. pnmpaste /tmp/b.pbm 31 0 /tmp/a.pbm | pnmnoraw
  
Actual results:
P1
40 10
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000
0000000000000000000000001100100100000000

Expected results:
P1
40 10
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000
0000000000000000000000000000000100000000

Additional info:
  The number of lines drawn depends on the horizontal offset specified.
If the offset is low enough, pnmpaste inserts only one line, as expected.

  Bryan Henderson maintains the official NetPBM source at SourceForge.
He says that the official code does not have this bug.
Comment 1 Fedora End Of Life 2013-01-16 09:06:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 10:05:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.